summaryrefslogtreecommitdiff
path: root/clean
diff options
context:
space:
mode:
authorranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2015-12-14 12:57:12 +0000
committerranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2015-12-14 12:57:12 +0000
commitf82c9449951c75bd5d9f7083c8683ddd15121738 (patch)
treeba88f6c289d0bcf56c1676983a13809cf00fe1ca /clean
parentd7b5493f488e7c7f696bc6815fea06a9f7a6695f (diff)
Various improvements
- Don't remove r-base-*.deb files when cleaning sources - Use ./build [options] sourcepackage instead of build*.sh - Use ./build_others [options] instead of build_others.sh - Use ./clean [squeeze|wheezy|jessie] instead of clean.sh - Improve comment in backport_others script - Use ./move_debs instead of move_*.sh git-svn-id: svn+ssh://stiller/home/schatz/reps/r-backports@117 f247ebf9-aa24-0410-a698-f940e971ad2b
Diffstat (limited to 'clean')
-rwxr-xr-xclean22
1 files changed, 22 insertions, 0 deletions
diff --git a/clean b/clean
new file mode 100755
index 0000000..d88d8d2
--- /dev/null
+++ b/clean
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Author: Johannes Ranke <jranke@uni-bremen.de>
+
+usage()
+{
+echo "Usage: ./clean [squeeze|wheezy|jessie]"
+}
+
+if [ $# -gt 1 ]; then usage; exit 1; fi
+if [ $# -eq 1 ]
+then
+ DIST=$1
+ if [ $DIST != "squeeze" ] && [ $DIST != "wheezy" ] && [ $DIST != "jessie" ]; then usage; exit 1; fi
+ cd $DIST
+fi
+
+for i in r-base tcl tk boot cluster codetools foreign kernsmooth lattice mgcv nlme r-cran-class r-cran-coda r-cran-mass r-cran-nnet r-cran-spatial rmatrix rodbc rpart survival littler rpy rpy2 rkward jags r-cran-rjags texinfo
+do
+ if ls $i*.deb 1> /dev/null 2>&1; then "Please take care of .deb files hanging around"; exit 1; fi
+ rm -rf $i*
+done

Contact - Imprint